﻿@model List<UDF_ARGNS>
<div class="table-responsive responsive table_cart" id="TableListItems">
    <table id="assets-data-table-ListItems" class="table display" style="width:100%;"></table>
    <script type="text/javascript">
        var assetListVM_ListItems;
        $(function () {
            assetListVM_ListItems = {
                dt: null,
                init: function () {
                    this.dt = $('#assets-data-table-ListItems').DataTable({
                        "autoWidth": true,
                        "serverSide": true,
                        "processing": true,
                        "data": null,
                        "drawCallback": function (settings) {
                            $("#assets-data-table-ListItems").find("input:checked").each(function (i, ob) {
                                $(ob).parent().parent().addClass('selected');
                            });
                        },
                        "dom": '<"top"lp>rt<"bottom"ip>',
                        "select": {
                            "style": 'os',
                            "selector": 'td:first-child'
                        },
                        "ajax": {
                            "url": "/Purchase/PurchaseRequest/_Items",
                            "type": 'POST',
                            "data": function (data) {
                                var mListSearchUDF = $("input[id^=SearchItemUDF_]");
                                var mListSearchUDFSelect = $("select[id^=SearchItemUDF_]");
                                var mMappedUDFList = [];
                                for (i = 0; i < mListSearchUDF.length; i++) {
                                    mMappedUDFList.push({
                                        UDFName: mListSearchUDF[i].id.substring(14),
                                        Value: $("#" + mListSearchUDF[i].id).val(),
                                    });
                                }
                                for (i = 0; i < mListSearchUDFSelect.length; i++) {
                                    mMappedUDFList.push({
                                        UDFName: mListSearchUDFSelect[i].id.substring(14),
                                        Value: $("#" + mListSearchUDFSelect[i].id).val(),
                                    });
                                }
                                data.pPageKey = $('#Pagekey').val();
                                data.pMappedUdf = mMappedUDFList;
                                data.pItemCode = $("#UDF_Code").val();
                                data.pItemName = $("#UDF_Name").val();
                            }
                        },
                        "columns": [
                            {
                                "title": "", "data": "ItemCode", "orderable": false, "name": "ItemCode",
                                "render": function (data, type, full, meta) {
                                    var mChecked = "";
                                    if (pSelectedItems.indexOf(data) != -1) {
                                        mChecked = "checked";
                                    }
                                    return "<input id=\"ckSelectItem_" + data + "\" type=\"checkbox\" value='" + data + "' onchange=\"AddOrRemoveSelectedItem('" + data + "',$('#ckSelectItem_" + data + "').is(':checked'), 'ckSelectItem_" + data + "')\" " + mChecked + ">";
                                }
                            },
                            { "title": "ItemCode", "data": "ItemCode", "name": "ItemCode" },
                            { "title": "ItemName", "data": "ItemName", "name": "ItemName" }
                            @if (Model.Count > 0)
                            {
                                foreach (var DictRow in Model)
                                {
                                    @:, { "title": "@DictRow.UDFDesc", "data": null, "name": "@DictRow.UDFName", "render": function (data, type, full, meta) { var mUDFObj = data.MappedUdf.filter(function (mUDF) { return mUDF.UDFName == "@DictRow.UDFName"; }); if (mUDFObj[0].Value != null) { if (mUDFObj[0].ListUFD1.length > 0) { var mUDF1Obj = mUDFObj[0].ListUFD1.filter(function (mUDF1) { return mUDF1.FldValue == mUDFObj[0].Value; }); return mUDF1Obj[0].Descr; } else { return mUDFObj[0].Value; } } else { return mUDFObj[0].Value; } } }
                                }
                            }
                        ],
                        "lengthMenu": [[10, 25, 50, 100], [10, 25, 50, 100]],
                    });
                },
                refresh: function () {
                    this.dt.ajax.reload();
                }
            }
        });
    </script>
</div>